## org.codehaus.plexus.util.cli.shell
Class CommandShell

    java.lang.Object
      org.codehaus.plexus.util.cli.shell.Shell
          org.codehaus.plexus.util.cli.shell.CommandShell

All Implemented Interfaces:
  Cloneable

    public class CommandShell

extends Shell

Implementation to call the Command.com Shell present on Windows 95, 98 and Me

Since:
  1.2
Version:
  $Id: CommandShell.java 8010 2009-01-07 12:59:50Z vsiveton $
Author:
  Carlos Sanchez

Constructor Summary
`CommandShell()`

Method Summary

Methods inherited from class org.codehaus.plexus.util.cli.shell.Shell

`addShellArg, clearArguments, clone, getArgumentQuoteDelimiter, getCommandLine, getEscapeChars, getExecutable, getExecutableQuoteDelimiter, getExecutionPreamble, getOriginalCommandLine, getOriginalExecutable, getQuotingTriggerChars, getRawCommandLine, getShellArgs, getShellArgsList, getShellCommand, getShellCommandLine, getWorkingDirectory, getWorkingDirectoryAsString, isDoubleQuotedArgumentEscaped, isDoubleQuotedExecutableEscaped, isQuotedArgumentsEnabled, isQuotedExecutableEnabled, isSingleQuotedArgumentEscaped, isSingleQuotedExecutableEscaped, setArgumentQuoteDelimiter, setDoubleQuotedArgumentEscaped, setDoubleQuotedExecutableEscaped, setExecutable, setExecutableQuoteDelimiter, setQuotedArgumentsEnabled, setQuotedExecutableEnabled, setShellArgs, setShellCommand, setSingleQuotedArgumentEscaped, setSingleQuotedExecutableEscaped, setWorkingDirectory, setWorkingDirectory`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommandShell

    public CommandShell()